/*
 * Created on 17.10.2004
 */

package org.test.comp;

import com.sun.star.comp.loader.FactoryHelper;
import com.sun.star.lang.XMultiServiceFactory;
import com.sun.star.lang.XSingleServiceFactory;
import com.sun.star.registry.XRegistryKey;

/**
 * @author Oliver Brinzing
 */

public class OOGlobalServiceProvider {

    public static XSingleServiceFactory __getServiceFactory(String sImplName,
            XMultiServiceFactory xMultiFactory, XRegistryKey xRegistryKey) {

        XSingleServiceFactory xSingleServiceFactory = null;

        if (sImplName.equals(OOGlobalEventConfigurator.class.getName())) {
            xSingleServiceFactory = FactoryHelper.getServiceFactory(
                    OOGlobalEventConfigurator.class,
                    OOGlobalEventConfigurator.__serviceName, xMultiFactory,
                    xRegistryKey);
        }
        return xSingleServiceFactory;
    }

    public static boolean __writeRegistryServiceInfo(XRegistryKey xRegistryKey) {

        return FactoryHelper.writeRegistryServiceInfo(
                OOGlobalEventConfigurator.class.getName(),
                OOGlobalEventConfigurator.__serviceName, xRegistryKey);
    }
}