
package org.test.comp;

import org.test.comp.gui.IGlobalSwingFrame;

import com.sun.star.document.EventObject;
import com.sun.star.document.XEventListener;
import com.sun.star.uno.XComponentContext;

public class OOGlobalEventListener implements XEventListener {

    private IGlobalSwingFrame frame = null;

    public OOGlobalEventListener(XComponentContext xComponentContext,
            IGlobalSwingFrame frame) {
        this.frame = frame;
    }

    public void notifyEvent(EventObject evt) {

        if (evt == null) {
            frame.displayMessage("evt is null");
            return;
        }

        frame.displayMessage(evt.EventName);
    }

    public void disposing(com.sun.star.lang.EventObject evt) {
        frame.displayMessage("disposing ...");
    }
}
