
package org.test.comp.gui;

import java.awt.Font;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import com.sun.star.uno.XComponentContext;

public class GlobalSwingFrame extends JFrame implements IGlobalSwingFrame {

    private static final long serialVersionUID = 4122257337546520627L;

    // private XComponentContext xComponentContext = null;
    private JFrame jFrame = new JFrame("event log");
    private JTextArea jText = new JTextArea(30, 0);

    public GlobalSwingFrame(XComponentContext xComponentContext) {
        // this.xComponentContext = xComponentContext;

        jText.setEditable(false);
        jText.setLineWrap(true);
        jText.setFont(new Font("SansSerif", Font.PLAIN, 10));

        jFrame.getContentPane().add(new JScrollPane(jText));
        jFrame.setAlwaysOnTop(true);

        jFrame.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                jFrame.setVisible(false);
                jFrame.dispose();
            }
        });

        jFrame.pack();
        jFrame.setSize(200, 300);
        jFrame.setVisible(true);
    }

    public void displayMessage(String message) {
        jText.setText(jText.getText() + "\n" + message);
    }
}
